## `value::as_array`

Return the underlying `array`, or throw an exception.

### Synopsis

    array&
    as_array(
        boost::source_location const& loc = BOOST_CURRENT_LOCATION) &; (1)

    array&&
    as_array(
        boost::source_location const& loc = BOOST_CURRENT_LOCATION) &&; (2)

    array const&
    as_array(
        boost::source_location const& loc = BOOST_CURRENT_LOCATION) const&; (3)

### Description

If `is_array()` is `true`, returns a reference to the underlying `array`, otherwise throws an exception.

### Exception Safety

Strong guarantee.

### Parameters

Name | Description
--- | ---
`loc` | `boost::source_location` to use in thrown exception; the source location of the call site by default.

### Exceptions

Type | Thrown On
--- | ---
`boost::system::system_error` | `! this->is_array()`.

### Complexity

Constant.

Edit this page